<?php
/**
 * Gestion de l'accueil
 *
 * PHP Version 7
 *
 * @category  PPE
 * @package   GSB
 * @author    Réseau CERTA <contact@reseaucerta.org>
 * @author    José GIL <jgil@ac-nice.fr>
 * @copyright 2017 Réseau CERTA
 * @license   Réseau CERTA
 * @version   GIT: <0>
 * @link      http://www.reseaucerta.org Contexte « Laboratoire GSB »
 */

$action = filter_input(INPUT_GET, 'action', FILTER_SANITIZE_STRING);
$idUtilisateur = $_SESSION['idVisiteur'];

switch ($action) {
    case 'choisirv' :

        $listeVisiteur = $pdo->getListeVisiteur();
        $clesvisiteur = array_keys($listeVisiteur);
        $visiteurAselectioner = $clesvisiteur[0];

        include 'vuesc/vc_validerFiche2.php';


        break;

    case 'choisirm' :

        $listeVisiteur = $pdo->getListeVisiteur();
        $clesvisiteur = array_keys($listeVisiteur);
//        var_dump($clesvisiteur);
//        $visiteurAselectioner = $clesvisiteur[5];

        $moisASelectionner = filter_input(INPUT_POST, 'lstMois', FILTER_SANITIZE_STRING);
        $visiteurASelectionner = filter_input(INPUT_POST, 'lstvisiteur', FILTER_SANITIZE_STRING);
//        var_dump($visiteurASelectionner);
        $lesFiches = $pdo->getFicheFrais($visiteurASelectionner, 'VA');

        include 'vuesc/vc_validerFiche2.php';

        $message = 'Pas de fiche de frais pour ce visiteur';

        if (sizeof($lesFiches) > 0)
            include 'vuesc/vc_choisirFiche.php';
        else
            include 'vuesc/vc_aucunFrais.php';


        break;


    case 'choisirfiche':


        $leMois = filter_input(INPUT_POST, 'lstMois', FILTER_SANITIZE_STRING);
        $visiteurASelectionner = filter_input(INPUT_POST, 'lstVisiteur', FILTER_SANITIZE_STRING);
        //$lesMois = $pdo->getLesMoisDisponibles($visiteurASelectionner);
        $moisASelectionner = $leMois;
        var_dump($visiteurASelectionner, $moisASelectionner);
        $lesFraisHorsForfait = $pdo->getLesFraisHorsForfait($visiteurASelectionner, $leMois);


        $lesFraisForfait = $pdo->getLesFraisForfait($visiteurASelectionner, $leMois);
        $lesInfosFicheFrais = $pdo->getLesInfosFicheFrais($visiteurASelectionner, $leMois);
        $numAnnee = substr($leMois, 0, 4);
        $numMois = substr($leMois, 4, 2);
        $libEtat = $lesInfosFicheFrais['libEtat'];
        $montantValide = $lesInfosFicheFrais['montantValide'];
        $nbJustificatifs = $lesInfosFicheFrais['nbJustificatifs'];
        $dateModif = dateAnglaisVersFrancais($lesInfosFicheFrais['dateModif']);

        include 'vuesc/vc_lecturefiche.php';

        break;

    case 'MPfiche':

        $visiteurASelectionner = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING);
        $moisASelectionner = filter_input(INPUT_GET, 'mois', FILTER_SANITIZE_STRING);
        var_dump($visiteurASelectionner);
        var_dump($moisASelectionner);
        $etat = 'MP';
        var_dump($etat);

        $pdo->majEtatFicheFrais($visiteurASelectionner, $moisASelectionner, $etat);

        $message = 'votre fiche de frais a été mis en paiement';

        include 'vuesc/vc_aucunFrais.php';

        break;

}
























